org.apache.felix.ipojo.extender.internal.queue.pref

## Enum Preference

- java.lang.Object
- - java.lang.Enum<Preference>
  - - org.apache.felix.ipojo.extender.internal.queue.pref.Preference

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Preference>

    public enum Preference
    extends java.lang.Enum<Preference>

The processing preference.

Each bundle can set the desired processing strategy, however the system can override this choice.

3 strategies are possible:

- SYNC: for synchronous processing
- ASYNC: for asynchronous processing
- DEFAULT: using the default behavior

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ASYNC`
`DEFAULT`
`SYNC`

### Method Summary

All Methods Static Methods Concrete Methods
`static Preference` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Preference[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SYNC

    public static final Preference SYNC

#### ASYNC

    public static final Preference ASYNC

#### DEFAULT

    public static final Preference DEFAULT

### Method Detail

#### values

    public static Preference[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Preference c : Preference.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Preference valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null